<div>
    <h2 id="page-heading">
        <span>CIS Reports</span>

        <button hidden id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-cis-report" [routerLink]="['/cis-report/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new CIS Report
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="cISReports?.length === 0">
        <span>No cISReports found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="cISReports && cISReports.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span>ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="timestamp"><span>Timestamp</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="reportType"><span>Report Type</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="infrastructure"><span>Infrastructure</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="node"><span>Node</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="totalPass"><span>Total Pass</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="totalFail"><span>Total Fail</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="totalWarn"><span>Total Warn</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="totalInfo"><span>Total Info</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="reportInfra.id"><span>Summary</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let cISReport of cISReports ;trackBy: trackId">
                    <td><a [routerLink]="['/cis-report', cISReport.id, 'view']">{{ cISReport.id }}</a></td>
                    <td>{{ cISReport.timestamp | date:'medium' }}</td>
                    <td>{{ cISReport.reportType }}</td>
                    <td>{{ cISReport.infrastructure }}</td>
                    <td>{{ cISReport.node }}</td>
                    <td>{{ cISReport.totalPass }}</td>
                    <td>{{ cISReport.totalFail }}</td>
                    <td>{{ cISReport.totalWarn }}</td>
                    <td>{{ cISReport.totalInfo }}</td>
                    <td>
                        <div *ngIf="cISReport.reportInfra">
                            <a [routerLink]="['/cis-report-infra', cISReport.reportInfra?.id, 'view']" >{{ cISReport.reportInfra?.infrastructure }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/cis-report', cISReport.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button hidden type="submit"
                                    [routerLink]="['/cis-report', cISReport.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button hidden type="submit" (click)="delete(cISReport)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="cISReports && cISReports.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
